package com.wd.workoffice.bean.mesBean;

import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class QuestionBean extends BaseMesPageBean {

        /**
         * pageNum : 1
         * pageSize : 10
         * size : 2
         * startRow : 1
         * endRow : 2
         * total : 2
         * pages : 1
         * list : [{"id":"2","createDateTime":1577808000000,"updateDateTime":1577808000000,"productId":null,"productName":"PROJECT02","productCode":"7301050001B","bomId":"2","bomType":"2","parentBomId":"1","materialName":"泥料1","materialCode":"3061325","materialStd":"规格型号2","materialTypeName":"物料类别2","useAmount":2,"unitPrice":10,"unit":"个","createUserId":"398c852b38e911ea8334fa163e1166bd","updateUserId":"398c852b38e911ea8334fa163e1166bd","delete":false,"createUserName":null,"updateUserName":null,"children":null},{"id":"3","createDateTime":1582078508000,"updateDateTime":1582078508000,"productId":null,"productName":"PROJECT02","productCode":"7301050001B","bomId":"3","bomType":"2","parentBomId":"1","materialName":"物料名称2","materialCode":"meterialCode2","materialStd":"规格型号2","materialTypeName":"物料类别2","useAmount":2,"unitPrice":2,"unit":null,"createUserId":"398c852b38e911ea8334fa163e1166bd","updateUserId":"398c852b38e911ea8334fa163e1166bd","delete":false,"createUserName":null,"updateUserName":null,"children":null}]
         * prePage : 0
         * nextPage : 0
         * isFirstPage : true
         * isLastPage : true
         * hasPreviousPage : false
         * hasNextPage : false
         * navigatePages : 8
         * navigatepageNums : [1]
         * navigateFirstPage : 1
         * navigateLastPage : 1
         * firstPage : 1
         * lastPage : 1
         */

        private List<ListBean> list;


        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }


        public static class ListBean {
            /**
             * id : 2
             * createDateTime : 1577808000000
             * updateDateTime : 1577808000000
             * productId : null
             * productName : PROJECT02
             * productCode : 7301050001B
             * bomId : 2
             * bomType : 2
             * parentBomId : 1
             * materialName : 泥料1
             * materialCode : 3061325
             * materialStd : 规格型号2
             * materialTypeName : 物料类别2
             * useAmount : 2
             * unitPrice : 10
             * unit : 个
             * createUserId : 398c852b38e911ea8334fa163e1166bd
             * updateUserId : 398c852b38e911ea8334fa163e1166bd
             * delete : false
             * createUserName : null
             * updateUserName : null
             * children : null
             */

            private String id;
            private long createDateTime;
            private long updateDateTime;
            private Object productId;
            private String productName;
            private String productCode;
            private String bomId;
            private String bomType;
            private String parentBomId;
            private String materialName;
            private String materialCode;
            private String materialStd;
            private String materialTypeName;
            private int useAmount;
            private int unitPrice;
            private String unit;
            private String createUserId;
            private String updateUserId;
            private boolean delete;
            private Object createUserName;
            private Object updateUserName;
            private Object children;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public long getCreateDateTime() {
                return createDateTime;
            }

            public void setCreateDateTime(long createDateTime) {
                this.createDateTime = createDateTime;
            }

            public long getUpdateDateTime() {
                return updateDateTime;
            }

            public void setUpdateDateTime(long updateDateTime) {
                this.updateDateTime = updateDateTime;
            }

            public Object getProductId() {
                return productId;
            }

            public void setProductId(Object productId) {
                this.productId = productId;
            }

            public String getProductName() {
                return productName;
            }

            public void setProductName(String productName) {
                this.productName = productName;
            }

            public String getProductCode() {
                return productCode;
            }

            public void setProductCode(String productCode) {
                this.productCode = productCode;
            }

            public String getBomId() {
                return bomId;
            }

            public void setBomId(String bomId) {
                this.bomId = bomId;
            }

            public String getBomType() {
                return bomType;
            }

            public void setBomType(String bomType) {
                this.bomType = bomType;
            }

            public String getParentBomId() {
                return parentBomId;
            }

            public void setParentBomId(String parentBomId) {
                this.parentBomId = parentBomId;
            }

            public String getMaterialName() {
                return materialName;
            }

            public void setMaterialName(String materialName) {
                this.materialName = materialName;
            }

            public String getMaterialCode() {
                return materialCode;
            }

            public void setMaterialCode(String materialCode) {
                this.materialCode = materialCode;
            }

            public String getMaterialStd() {
                return materialStd;
            }

            public void setMaterialStd(String materialStd) {
                this.materialStd = materialStd;
            }

            public String getMaterialTypeName() {
                return materialTypeName;
            }

            public void setMaterialTypeName(String materialTypeName) {
                this.materialTypeName = materialTypeName;
            }

            public int getUseAmount() {
                return useAmount;
            }

            public void setUseAmount(int useAmount) {
                this.useAmount = useAmount;
            }

            public int getUnitPrice() {
                return unitPrice;
            }

            public void setUnitPrice(int unitPrice) {
                this.unitPrice = unitPrice;
            }

            public String getUnit() {
                return unit;
            }

            public void setUnit(String unit) {
                this.unit = unit;
            }

            public String getCreateUserId() {
                return createUserId;
            }

            public void setCreateUserId(String createUserId) {
                this.createUserId = createUserId;
            }

            public String getUpdateUserId() {
                return updateUserId;
            }

            public void setUpdateUserId(String updateUserId) {
                this.updateUserId = updateUserId;
            }

            public boolean isDelete() {
                return delete;
            }

            public void setDelete(boolean delete) {
                this.delete = delete;
            }

            public Object getCreateUserName() {
                return createUserName;
            }

            public void setCreateUserName(Object createUserName) {
                this.createUserName = createUserName;
            }

            public Object getUpdateUserName() {
                return updateUserName;
            }

            public void setUpdateUserName(Object updateUserName) {
                this.updateUserName = updateUserName;
            }

            public Object getChildren() {
                return children;
            }

            public void setChildren(Object children) {
                this.children = children;
            }
        }
    }
